From 368b66c45b29c8995c9d1c07ff0628258c6ceddc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Cl=C3=A9ment=20DAVID?= <clement.david@esi-group.com>
Date: Wed, 6 Sep 2017 20:43:20 +0200
Subject: [PATCH] Fix HTTP test

Origin: upstream, https://github.com/jimstudt/http-authentication/pull/2/commits/368b66c45b29c8995c9d1c07ff0628258c6ceddc
Bug: https://github.com/jimstudt/http-authentication/pull/2
Reviewed-by: Anthony Fok <foka@debian.org>
Last-Update: 2018-07-21

---
 basic/htpasswd_test.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/basic/htpasswd_test.go b/basic/htpasswd_test.go
index edb5841..565aa9b 100644
--- a/basic/htpasswd_test.go
+++ b/basic/htpasswd_test.go
@@ -1051,7 +1051,7 @@ func testSystem(t *testing.T, name string, contents string) {
 			req.Header.Add("Authorization", authStr)
 			resp := httptest.NewRecorder()
 
-			htp.Handler(resp, req)
+			htp.ServeHTTP(resp, req)
 
 			return resp
 		}
